package com.tenlionsoft.baselib.core.beans;

import com.contrarywind.interfaces.IPickerViewData;

import org.jetbrains.annotations.NotNull;

import java.util.List;

import androidx.annotation.NonNull;

/**
 * 作者: adam
 * 日期: 2021/11/13 - 3:25 下午
 * 邮箱: itgaojian@163.com
 * 描述:
 */
public class UserExpandInfoBean {

    private String areaCode;
    private String areaName;
    private String departmentIds;
    private String departmentNames;
    private String gmtCreate;
    private String lastLoginAddress;
    private String lastLoginTime;
    private int loginType;
    private String positionIds;
    private String positionNames;
    private String roleIds;
    private String roleNames;
    private String userAvatar;
    private String userEmail;
    private String userExpiredDate;
    private String userId;
    private String userLatitude;
    private int userLevel;
    private String userLongitude;
    private String userName;
    private String userPhone;
    private int userState;
    private int userType;
    private String userUKey;
    private String userUsername;
    private List<DepartmentsBean> departments;

    private String smcMeetingId;
    private String smcNumber;
    private String smcPassword;
    private String smcState;
    private String smcUsername;


    public String getSmcMeetingId() {
        return smcMeetingId;
    }

    public void setSmcMeetingId(String smcMeetingId) {
        this.smcMeetingId = smcMeetingId;
    }

    public String getSmcNumber() {
        return smcNumber;
    }

    public void setSmcNumber(String smcNumber) {
        this.smcNumber = smcNumber;
    }

    public String getSmcPassword() {
        return smcPassword;
    }

    public void setSmcPassword(String smcPassword) {
        this.smcPassword = smcPassword;
    }

    public String getSmcState() {
        return smcState;
    }

    public void setSmcState(String smcState) {
        this.smcState = smcState;
    }

    public String getSmcUsername() {
        return smcUsername;
    }

    public void setSmcUsername(String smcUsername) {
        this.smcUsername = smcUsername;
    }

    public String getAreaCode() {
        return areaCode;
    }

    public void setAreaCode(String areaCode) {
        this.areaCode = areaCode;
    }

    public String getAreaName() {
        return areaName;
    }

    public void setAreaName(String areaName) {
        this.areaName = areaName;
    }

    public String getDepartmentIds() {
        return departmentIds;
    }

    public void setDepartmentIds(String departmentIds) {
        this.departmentIds = departmentIds;
    }

    public String getDepartmentNames() {
        return departmentNames;
    }

    public void setDepartmentNames(String departmentNames) {
        this.departmentNames = departmentNames;
    }

    public String getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public String getLastLoginAddress() {
        return lastLoginAddress;
    }

    public void setLastLoginAddress(String lastLoginAddress) {
        this.lastLoginAddress = lastLoginAddress;
    }

    public String getLastLoginTime() {
        return lastLoginTime;
    }

    public void setLastLoginTime(String lastLoginTime) {
        this.lastLoginTime = lastLoginTime;
    }

    public int getLoginType() {
        return loginType;
    }

    public void setLoginType(int loginType) {
        this.loginType = loginType;
    }

    public String getPositionIds() {
        return positionIds;
    }

    public void setPositionIds(String positionIds) {
        this.positionIds = positionIds;
    }

    public String getPositionNames() {
        return positionNames;
    }

    public void setPositionNames(String positionNames) {
        this.positionNames = positionNames;
    }

    public String getRoleIds() {
        return roleIds;
    }

    public void setRoleIds(String roleIds) {
        this.roleIds = roleIds;
    }

    public String getRoleNames() {
        return roleNames;
    }

    public void setRoleNames(String roleNames) {
        this.roleNames = roleNames;
    }

    public String getUserAvatar() {
        return userAvatar;
    }

    public void setUserAvatar(String userAvatar) {
        this.userAvatar = userAvatar;
    }

    public String getUserEmail() {
        return userEmail;
    }

    public void setUserEmail(String userEmail) {
        this.userEmail = userEmail;
    }

    public String getUserExpiredDate() {
        return userExpiredDate;
    }

    public void setUserExpiredDate(String userExpiredDate) {
        this.userExpiredDate = userExpiredDate;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getUserLatitude() {
        return userLatitude;
    }

    public void setUserLatitude(String userLatitude) {
        this.userLatitude = userLatitude;
    }

    public int getUserLevel() {
        return userLevel;
    }

    public void setUserLevel(int userLevel) {
        this.userLevel = userLevel;
    }

    public String getUserLongitude() {
        return userLongitude;
    }

    public void setUserLongitude(String userLongitude) {
        this.userLongitude = userLongitude;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getUserPhone() {
        return userPhone;
    }

    public void setUserPhone(String userPhone) {
        this.userPhone = userPhone;
    }

    public int getUserState() {
        return userState;
    }

    public void setUserState(int userState) {
        this.userState = userState;
    }

    public int getUserType() {
        return userType;
    }

    public void setUserType(int userType) {
        this.userType = userType;
    }

    public String getUserUKey() {
        return userUKey;
    }

    public void setUserUKey(String userUKey) {
        this.userUKey = userUKey;
    }

    public String getUserUsername() {
        return userUsername;
    }

    public void setUserUsername(String userUsername) {
        this.userUsername = userUsername;
    }

    public List<DepartmentsBean> getDepartments() {
        return departments;
    }

    public void setDepartments(List<DepartmentsBean> departments) {
        this.departments = departments;
    }

    public static class DepartmentsBean implements IPickerViewData {
        private String departmentAddress;
        private String departmentAreaCode;
        private String departmentAreaName;
        private String departmentCode;
        private String departmentDuty;
        private String departmentFax;
        private String departmentId;
        private int departmentIntId;
        private String departmentLatitude;
        private int departmentLogo;
        private int departmentLogoHover;
        private String departmentLongitude;
        private String departmentMaster;
        private String departmentMasterName;
        private String departmentName;
        private String departmentNameEn;
        private String departmentNameOther;
        private String departmentNo;
        private String departmentOrder;
        private String departmentParentId;
        private String departmentParentName;
        private int departmentState;
        private String departmentSummary;
        private String departmentTel;
        private int departmentType;
        private List<?> subDepartments;

        public String getDepartmentAddress() {
            return departmentAddress;
        }

        public void setDepartmentAddress(String departmentAddress) {
            this.departmentAddress = departmentAddress;
        }

        public String getDepartmentAreaCode() {
            return departmentAreaCode;
        }

        public void setDepartmentAreaCode(String departmentAreaCode) {
            this.departmentAreaCode = departmentAreaCode;
        }

        public String getDepartmentAreaName() {
            return departmentAreaName;
        }

        public void setDepartmentAreaName(String departmentAreaName) {
            this.departmentAreaName = departmentAreaName;
        }

        public String getDepartmentCode() {
            return departmentCode;
        }

        public void setDepartmentCode(String departmentCode) {
            this.departmentCode = departmentCode;
        }

        public String getDepartmentDuty() {
            return departmentDuty;
        }

        public void setDepartmentDuty(String departmentDuty) {
            this.departmentDuty = departmentDuty;
        }

        public String getDepartmentFax() {
            return departmentFax;
        }

        public void setDepartmentFax(String departmentFax) {
            this.departmentFax = departmentFax;
        }

        public String getDepartmentId() {
            return departmentId;
        }

        public void setDepartmentId(String departmentId) {
            this.departmentId = departmentId;
        }

        public int getDepartmentIntId() {
            return departmentIntId;
        }

        public void setDepartmentIntId(int departmentIntId) {
            this.departmentIntId = departmentIntId;
        }

        public String getDepartmentLatitude() {
            return departmentLatitude;
        }

        public void setDepartmentLatitude(String departmentLatitude) {
            this.departmentLatitude = departmentLatitude;
        }

        public int getDepartmentLogo() {
            return departmentLogo;
        }

        public void setDepartmentLogo(int departmentLogo) {
            this.departmentLogo = departmentLogo;
        }

        public int getDepartmentLogoHover() {
            return departmentLogoHover;
        }

        public void setDepartmentLogoHover(int departmentLogoHover) {
            this.departmentLogoHover = departmentLogoHover;
        }

        public String getDepartmentLongitude() {
            return departmentLongitude;
        }

        public void setDepartmentLongitude(String departmentLongitude) {
            this.departmentLongitude = departmentLongitude;
        }

        public String getDepartmentMaster() {
            return departmentMaster;
        }

        public void setDepartmentMaster(String departmentMaster) {
            this.departmentMaster = departmentMaster;
        }

        public String getDepartmentMasterName() {
            return departmentMasterName;
        }

        public void setDepartmentMasterName(String departmentMasterName) {
            this.departmentMasterName = departmentMasterName;
        }

        public String getDepartmentName() {
            return departmentName;
        }

        public void setDepartmentName(String departmentName) {
            this.departmentName = departmentName;
        }

        public String getDepartmentNameEn() {
            return departmentNameEn;
        }

        public void setDepartmentNameEn(String departmentNameEn) {
            this.departmentNameEn = departmentNameEn;
        }

        public String getDepartmentNameOther() {
            return departmentNameOther;
        }

        public void setDepartmentNameOther(String departmentNameOther) {
            this.departmentNameOther = departmentNameOther;
        }

        public String getDepartmentNo() {
            return departmentNo;
        }

        public void setDepartmentNo(String departmentNo) {
            this.departmentNo = departmentNo;
        }

        public String getDepartmentOrder() {
            return departmentOrder;
        }

        public void setDepartmentOrder(String departmentOrder) {
            this.departmentOrder = departmentOrder;
        }

        public String getDepartmentParentId() {
            return departmentParentId;
        }

        public void setDepartmentParentId(String departmentParentId) {
            this.departmentParentId = departmentParentId;
        }

        public String getDepartmentParentName() {
            return departmentParentName;
        }

        public void setDepartmentParentName(String departmentParentName) {
            this.departmentParentName = departmentParentName;
        }

        public int getDepartmentState() {
            return departmentState;
        }

        public void setDepartmentState(int departmentState) {
            this.departmentState = departmentState;
        }

        public String getDepartmentSummary() {
            return departmentSummary;
        }

        public void setDepartmentSummary(String departmentSummary) {
            this.departmentSummary = departmentSummary;
        }

        public String getDepartmentTel() {
            return departmentTel;
        }

        public void setDepartmentTel(String departmentTel) {
            this.departmentTel = departmentTel;
        }

        public int getDepartmentType() {
            return departmentType;
        }

        public void setDepartmentType(int departmentType) {
            this.departmentType = departmentType;
        }

        public List<?> getSubDepartments() {
            return subDepartments;
        }

        public void setSubDepartments(List<?> subDepartments) {
            this.subDepartments = subDepartments;
        }

        @Override
        public String getPickerViewText() {
            return departmentName;
        }
    }

    @Override
    public String toString() {
        return "UserExpandInfoBean{" +
            "areaCode='" + areaCode + '\'' +
            ", areaName='" + areaName + '\'' +
            ", departmentIds='" + departmentIds + '\'' +
            ", departmentNames='" + departmentNames + '\'' +
            ", gmtCreate='" + gmtCreate + '\'' +
            ", lastLoginAddress='" + lastLoginAddress + '\'' +
            ", lastLoginTime='" + lastLoginTime + '\'' +
            ", loginType=" + loginType +
            ", positionIds='" + positionIds + '\'' +
            ", positionNames='" + positionNames + '\'' +
            ", roleIds='" + roleIds + '\'' +
            ", roleNames='" + roleNames + '\'' +
            ", userAvatar='" + userAvatar + '\'' +
            ", userEmail='" + userEmail + '\'' +
            ", userExpiredDate='" + userExpiredDate + '\'' +
            ", userId='" + userId + '\'' +
            ", userLatitude='" + userLatitude + '\'' +
            ", userLevel=" + userLevel +
            ", userLongitude='" + userLongitude + '\'' +
            ", userName='" + userName + '\'' +
            ", userPhone='" + userPhone + '\'' +
            ", userState=" + userState +
            ", userType=" + userType +
            ", userUKey='" + userUKey + '\'' +
            ", userUsername='" + userUsername + '\'' +
            ", departments=" + departments +
            ", smcMeetingId='" + smcMeetingId + '\'' +
            ", smcNumber='" + smcNumber + '\'' +
            ", smcPassword='" + smcPassword + '\'' +
            ", smcState='" + smcState + '\'' +
            ", smcUsername='" + smcUsername + '\'' +
            '}';
    }
}
